apiVersion: kubeadm.k8s.io/v1beta2
kind: JoinConfiguration
nodeRegistration:
  kubeletExtraArgs:
    enable-controller-attach-detach: "false"
    node-labels: "node-type=rook"
discovery:
  timeout: 5m0s
  bootstrapToken:
    apiServerEndpoint: "${k8s_api_domain}:${k8s_api_port}"
    token: ${cluster_cert_token}
    #unsafeSkipCAVerification: true
    caCertHashes:
    - ${cluster_ca_cert_hash}
